jQuery(document).ready(function($) {

/*------------------------------------------------
            DECLARATIONS
------------------------------------------------*/

    var loader = $('#loader');
    var loader_container = $('#preloader');
    var scroll = $(window).scrollTop();  
    var scrollup = $('.backtotop');
    var menu_toggle = $('.menu-toggle');
    var dropdown_toggle = $('.main-navigation button.dropdown-toggle');
    var nav_menu = $('.main-navigation ul.nav-menu');

/*------------------------------------------------
            PRELOADER
------------------------------------------------*/

    loader_container.delay(1000).fadeOut();
    loader.delay(1000).fadeOut("slow");

/*------------------------------------------------
            BACK TO TOP
------------------------------------------------*/

    $(window).scroll(function() {
        if ($(this).scrollTop() > 1) {
            scrollup.css({bottom:"25px"});
        } 
        else {
            scrollup.css({bottom:"-100px"});
        }
    });

    scrollup.click(function() {
        $('html, body').animate({scrollTop: '0px'}, 800);
        return false;
    });

/*------------------------------------------------
            MAIN NAVIGATION
------------------------------------------------*/

    $(window).scroll(function() {
        var scroll = $(window).scrollTop();  
        if (scroll > 1) {
            $('.sticky-menu #masthead').addClass('nav-shrink');
        }
        else {
            $('.sticky-menu #masthead').removeClass('nav-shrink');
        }
    });

    menu_toggle.click(function(){
        nav_menu.fadeToggle();
       $('.main-navigation').toggleClass('menu-open');
       $('.menu-overlay').toggleClass('active');
    });

    dropdown_toggle.click(function() {
        $(this).toggleClass('active');
       $(this).parent().find('.sub-menu').first().slideToggle();
    });

    $('.top-menu ul li.search-menu a').click(function(event) {
        event.preventDefault();
        $(this).toggleClass('search-active');
        $('.top-menu #search').fadeToggle();
        $('.top-menu .search-field').focus();
    });

    $(document).keyup(function(e) {
        if (e.keyCode === 27) {
            $('.top-menu ul li.search-menu a').removeClass('search-active');
            $('.top-menu #search').fadeOut();
        }
    });

    $(document).click(function (e) {
        var container = $("#top-navigation");
        if (!container.is(e.target) && container.has(e.target).length === 0) {
            $('.top-menu ul li.search-menu a').removeClass('search-active');
            $('.top-menu #search').fadeOut();
        }
    });

    $(document).click(function (e) {
        var container = $("#masthead");
        if (!container.is(e.target) && container.has(e.target).length === 0) {
            $('.main-navigation').removeClass('menu-open');
            $('.menu-overlay').removeClass('active');
            nav_menu.hide();
        }
    });

    /*------------------------------------------------
                    END JQUERY
    ------------------------------------------------*/
        if ( $(window).width() > 1200 ) {
            $('#featured-product .featured-image img').each(function(){
                var t = $(this),
                    s = 'url(' + t.attr('src') + ')',
                    p = t.parent(),
                    d = $('<div></div>');
                t.hide();
                p.append(d);
                d.css({
                    'height'                : 644,
                    'background-size'       : 'cover',
                    'background-repeat'     : 'no-repeat',
                    'background-position'   : 'center',
                    'background-image'      : s
                });
            });
        }

        else {
            $('#featured-product .featured-image img').each(function(){
                var t = $(this),
                    s = 'url(' + t.attr('src') + ')',
                    p = t.parent(),
                    d = $('<div></div>');
                t.hide();
                p.append(d);
                d.css({
                    'height'                : 575,
                    'background-size'       : 'cover',
                    'background-repeat'     : 'no-repeat',
                    'background-position'   : 'center',
                    'background-image'      : s
                });
            });
        }


/*------------------------------------------------
                END JQUERY
------------------------------------------------*/

});